import React, { useMemo } from 'react';
import { PisellDataSourceContainer, PisellSort, PisellFilter } from '@pisell/materials';
import { getFilterButtonList, getSortList } from "../config";
var ColumnsSetting = PisellDataSourceContainer.ColumnsSetting;
var HandleActions = function HandleActions(props) {
  var locales = props.locales,
    __id = props.__id;
  var filterButtonListValue = useMemo(function () {
    return {
      otherFilter: getFilterButtonList(locales)
    };
  }, [locales]);
  var sortList = useMemo(function () {
    return getSortList(locales);
  }, [locales]);
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(ColumnsSetting, {
    __id: __id
  }), /*#__PURE__*/React.createElement(PisellSort, {
    hasForm: false,
    list: sortList
  }), /*#__PURE__*/React.createElement(PisellFilter, {
    placement: "bottomLeft",
    hasForm: false,
    value: filterButtonListValue
  }));
};
export default HandleActions;